Skip to main content
GET
List delivery attempts to an endpoint
Minimum role required: Admin

Authorizations

X-Axilio-Api-Key
string
header
required

Customer API key (axl_ prefix).

Path Parameters

endpoint_id
string
required

Endpoint identifier.

Minimum string length: 1

Query Parameters

limit
integer<int64>
default:50

Page size.

Required range: 1 <= x <= 200
cursor
string

Opaque cursor from a previous page's next_cursor. Omit for the first page.

Maximum string length: 512
status
enum<string>

Keep only attempts with this outcome. Omit for both.

Available options:
success,
failed
event_type
string

Keep only attempts of events of this type. Omit for all types.

Maximum string length: 255
delivered_after
string<date-time>

Only attempts that completed at or after this time (RFC 3339).

delivered_before
string<date-time>

Only attempts that completed at or before this time (RFC 3339).

Response

OK

One page of the delivery attempts made to one endpoint.

attempts
object[] | null
required

Delivery attempts on this page, newest first.

next_cursor
string | null
required

Opaque cursor for the next page (pass as the cursor query parameter). Null when this is the last page.